import { JSONSchema4, JSONSchema4Type } from "json-schema";
import { ValidConstructor } from "./decorators/prop";
import { Ctos } from "./utils";
export declare function use(constructor: Ctos | ValidConstructor | StringConstructor | NumberConstructor | BooleanConstructor | null): Partial<JSONSchema4>;
export declare function useArray(constructor: Ctos | ValidConstructor | StringConstructor | NumberConstructor | BooleanConstructor | null): Partial<JSONSchema4>;
export declare function useEnum(values: Array<JSONSchema4Type> | ReadonlyArray<JSONSchema4Type>): Partial<JSONSchema4>;
//# sourceMappingURL=use.d.ts.map